import { MPDProtocol } from '../protocol';
export declare class PartitionCommands {
    private protocol;
    constructor(protocol: MPDProtocol);
    /**
     * Switch the client to a different partition.
     */
    partition(name: string): Promise<void>;
    /**
     * Returns a list of partitions.
     */
    listPartitions(): Promise<string[]>;
    /**
     * Create a new partition.
     */
    newPartition(name: string): Promise<void>;
    /**
     * Delete a partition. The partition must be empty (no connected clients and no outputs).
     */
    deletePartition(name: string): Promise<void>;
    /**
     * Move an output to the current partition.
     */
    moveOutput(outputName: string): Promise<void>;
}
