import { MPDProtocol } from '../protocol';
import { PlaylistItem, Status, Statistics } from '../objects/index';
export declare class StatusCommands {
    private protocol;
    constructor(protocol: MPDProtocol);
    /**
     * Displays the song info of the current song (same song that is identified in status).
     */
    currentSong(): Promise<PlaylistItem>;
    /**
     * Reports the current status of the player and the volume level.
     */
    status(): Promise<Status>;
    statistics(): Promise<Statistics>;
    /**
     * Clears the current error message in status
     */
    clearError(): Promise<void>;
}
