"use strict";
var __values = (this && this.__values) || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m) return m.call(o);
    if (o && typeof o.length === "number") return {
        next: function () {
            if (o && i >= o.length) o = void 0;
            return { value: o && o[i++], done: !o };
        }
    };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
};
Object.defineProperty(exports, "__esModule", { value: true });
var OutputDevice = /** @class */ (function () {
    function OutputDevice(valueMap) {
        var e_1, _a;
        if (!valueMap.has('outputid'))
            throw new Error('ID not found for OutputDevice object');
        if (!valueMap.has('outputname'))
            throw new Error('Name not found for OutputDevice object');
        if (!valueMap.has('outputenabled'))
            throw new Error('Enabled flag not found for OutputDevice object');
        this.id = Number(valueMap.get('outputid'));
        this.name = valueMap.get('outputname');
        this.enabled = Boolean(Number(valueMap.get('outputenabled')));
        this.plugin = valueMap.get('plugin');
        this.attributes = new Map();
        var attrsString = valueMap.get('attribute');
        if (attrsString) {
            var attrStrings = attrsString.split(';');
            try {
                for (var attrStrings_1 = __values(attrStrings), attrStrings_1_1 = attrStrings_1.next(); !attrStrings_1_1.done; attrStrings_1_1 = attrStrings_1.next()) {
                    var attrString = attrStrings_1_1.value;
                    var keyAndValue = attrString.split('=');
                    if (keyAndValue.length === 2) {
                        this.attributes.set(keyAndValue[0], keyAndValue[1]);
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (attrStrings_1_1 && !attrStrings_1_1.done && (_a = attrStrings_1.return)) _a.call(attrStrings_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
        }
    }
    return OutputDevice;
}());
exports.OutputDevice = OutputDevice;
//# sourceMappingURL=outputDevice.js.map