"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../util");
var StoredPlaylist = /** @class */ (function () {
    function StoredPlaylist(valueMap) {
        if (!valueMap.has('playlist'))
            throw new Error('Name not found for StoredPlaylist object');
        this.name = valueMap.get('playlist');
        this.lastModified = util_1.getOptionalDate(valueMap, 'Last-Modified');
    }
    return StoredPlaylist;
}());
exports.StoredPlaylist = StoredPlaylist;
var PlaylistItem = /** @class */ (function () {
    function PlaylistItem(valueMap) {
        if (!valueMap.has('Id'))
            throw new Error('ID not found for PlaylistItem object');
        if (!valueMap.has('Pos'))
            throw new Error('Position not found for PlaylistItem object');
        this.id = Number(valueMap.get('Id'));
        this.position = Number(valueMap.get('Pos'));
        this.title = valueMap.get('Title');
        this.name = valueMap.get('Name');
        this.artist = valueMap.get('Artist');
        this.album = valueMap.get('Album');
        this.albumArtist = valueMap.get('AlbumArtist');
        this.track = valueMap.get('Track');
        this.date = valueMap.get('Date');
        this.genre = valueMap.get('Genre');
        var durationString = valueMap.get('duration') || valueMap.get('Time');
        this.duration = durationString ? Number(durationString) : undefined;
        this.path = valueMap.get('file');
        this.lastModified = util_1.getOptionalDate(valueMap, 'Last-Modified');
    }
    return PlaylistItem;
}());
exports.PlaylistItem = PlaylistItem;
var SongIdAndPosition = /** @class */ (function () {
    function SongIdAndPosition(valueMap) {
        this.songId = Number(valueMap.get('Id'));
        this.position = Number(valueMap.get('cpos'));
    }
    return SongIdAndPosition;
}());
exports.SongIdAndPosition = SongIdAndPosition;
//# sourceMappingURL=playlists.js.map