"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../util");
/**
 * The current status of the player
 */
var Status = /** @class */ (function () {
    function Status(valueMap) {
        this.partition = valueMap.get('partition');
        this.state = valueMap.get('state');
        this.song = util_1.getOptionalNumber(valueMap, 'song');
        this.songId = util_1.getOptionalNumber(valueMap, 'songid');
        this.nextSong = util_1.getOptionalNumber(valueMap, 'nextsong');
        this.nextSongId = util_1.getOptionalNumber(valueMap, 'nextsongid');
        this.elapsed = util_1.getOptionalNumber(valueMap, 'elapsed');
        this.duration = util_1.getOptionalNumber(valueMap, 'duration');
        this.bitRate = util_1.getOptionalNumber(valueMap, 'bitrate');
        this.audio = valueMap.get('audio');
        var splitAudio = this.audio ? this.audio.split(':') : [];
        this.sampleRate = util_1.parseOptionalNumber(splitAudio[0]);
        this.bitDepth = util_1.parseOptionalNumber(splitAudio[1]);
        this.channels = util_1.parseOptionalNumber(splitAudio[2]);
        this.volume = util_1.getOptionalNumber(valueMap, 'volume');
        this.xfade = util_1.getOptionalNumber(valueMap, 'xfade');
        this.mixrampdb = util_1.getOptionalNumber(valueMap, 'mixrampdb');
        this.mixrampDelay = util_1.getOptionalNumber(valueMap, 'mixrampdelay');
        this.playlistVersion = util_1.getOptionalNumber(valueMap, 'playlist');
        this.playlistLength = util_1.getOptionalNumber(valueMap, 'playlistlength');
        this.repeat = util_1.getOptionalBoolean(valueMap, 'repeat');
        this.random = util_1.getOptionalBoolean(valueMap, 'random');
        var singleString = valueMap.get('single');
        if (singleString !== undefined) {
            this.single = (singleString === 'oneshot') ? 'oneshot' : Boolean(Number(singleString));
        }
        this.consume = util_1.getOptionalBoolean(valueMap, 'consume');
        this.updating = util_1.getOptionalNumber(valueMap, 'updating_db');
        this.error = valueMap.get('error');
    }
    return Status;
}());
exports.Status = Status;
//# sourceMappingURL=status.js.map